aboutsummaryrefslogtreecommitdiffstats
path: root/run.sh
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2018-02-02 14:13:42 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2018-02-02 14:13:42 +0100
commit4058de5c9e4df5dc6e94b5dc1418fd4901aa6520 (patch)
tree4c4d1edec2b7034355b807a7b09c32d40c542dd8 /run.sh
parenthacl perf (diff)
downloadkbench9000-4058de5c9e4df5dc6e94b5dc1418fd4901aa6520.tar.xz
kbench9000-4058de5c9e4df5dc6e94b5dc1418fd4901aa6520.zip
Give sane measurements
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/run.sh b/run.sh
index dfe5fb9..77c6a4d 100755
--- a/run.sh
+++ b/run.sh
@@ -8,9 +8,15 @@ nob_cpus() {
done
}
+noturbo() {
+ echo "[+] Setting no-turbo to status $1"
+ echo "$1" > /sys/devices/system/cpu/intel_pstate/no_turbo
+}
+
[[ -e kbench9000.ko ]]
-trap "nob_cpus 1" INT TERM EXIT
+trap "nob_cpus 1; noturbo 0;" INT TERM EXIT
+noturbo 1
nob_cpus 0
echo "[+] Inserting module to run tests"